Bug 112399 - Unable to correctly open a Word 2003 document
Summary: Unable to correctly open a Word 2003 document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0 target:5.4.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-09-14 20:59 UTC by christophe.jaillet
Modified: 2017-09-19 11:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Word document (101.00 KB, application/msword)
2017-09-14 21:00 UTC, christophe.jaillet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description christophe.jaillet 2017-09-14 20:59:49 UTC
Description:
The attached Word 2003 document does not open correctly in LibreOffice.
Tested with 5.4.1.2 and 5.4.0.x

It worked fine with 5.2.6.x.

Steps to Reproduce:
1. double click on the file, or open it with File -> Open


Actual Results:  
Just garbage is displayed.
LO 5.2.6.x was opening the file correctly. The file also works with M$ Word

Expected Results:
Open the file correctly, as 5.2.6.x


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:55.0) Gecko/20100101 Firefox/55.0
Comment 1 christophe.jaillet 2017-09-14 21:00:23 UTC
Created attachment 136249 [details]
Word document
Comment 2 Xisco Faulí 2017-09-14 21:47:17 UTC
Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 383aab7ed63bf30931c1cf89138707d2228b5dce
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

but not in

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)
Comment 3 raal 2017-09-15 20:14:58 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara; Could you possibly take a look at this one? Thanks

960e8f1484faa78eddbeff6b67ba930397bf0645 is the first bad commit
commit 960e8f1484faa78eddbeff6b67ba930397bf0645
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sat Aug 1 20:39:29 2015 -0700

    source sha:786573068dce1f71c53057f98b5822c401c9f3ff
author	Caolán McNamara <caolanm@redhat.com>	2015-07-22 08:24:53 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2015-07-22 16:12:15 (GMT)
commit	786573068dce1f71c53057f98b5822c401c9f3ff (patch)
tree	0288ead6e1c55d572e1666962401901798ed89ca
parent	26e6d4b05ab444e6a7529ffcac7fbe592fc94833 (diff)
limit storage entry max size to size of underlying stream
Comment 4 Caolán McNamara 2017-09-18 20:14:51 UTC
I think its arguable that the underlying compound file format here is broken, its definitely odd, but it does open in MSOffice 2013
Comment 5 Caolán McNamara 2017-09-18 20:18:35 UTC
https://gerrit.libreoffice.org/#/c/42436/
Comment 6 Commit Notification 2017-09-18 22:25:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fc5513f40acc56410651a147e4b03dc614ea6183

tdf#112399 ignore size of unknown/unused ole2 entries

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-09-19 11:40:25 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e60b45997d74955e5b997d58a1cb357f27d4407&h=libreoffice-5-4

tdf#112399 ignore size of unknown/unused ole2 entries

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.